This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 254123 - CVE-2007-2958 sylpheed format string vulnerability
CVE-2007-2958 sylpheed format string vulnerability
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sylpheed (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
http://secunia.com/advisories/26550/
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 06:14 EDT by Tomas Hoger
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.3.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 17:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-08-24 06:14:56 EDT
Ulf Harnhammar (Secunia Research) has discovered a format string vulnerability
in sylpheed and claws-mail in inc_put_error() function in src/inc.c when
displaying POP3 error reply.

Problem can be exploited by malicious POP3 server via specially crafted POP3
server replies containing format specifiers.

Successful exploitation may allow execution of arbitrary code, but requires that
the user is tricked into connecting to a malicious POP3 server.

Secunia advisory:

http://secunia.com/advisories/26550/

Upstream patch: SVN commit r1880
Comment 1 Fedora Update System 2007-08-27 17:45:15 EDT
sylpheed-2.3.1-5 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.